.TH SYNGEN 1

.SH NAME
syngen \- a syntax diagram generator


.SH SYNOPSIS
.B syngen
[
.BI \-c \ connect-length
]
[
.BI \-o \ character-length
]
[
.BI \-a \ length-offset
]
[
.BI \-h \ box-height
]
[
.BI \-f \ box-sep-frac
]
[
.BI \-version
]
[
.BI files...
]

.SH DESCRIPTION

.B syngen
is a generator for syntax diagrams. It takes files 
.IR xxx \&.ara,
written in a special 
language similar to BNF, and produces the corresponding output 
files
.IR xxx \&.syn,
which can be included directly (without additional macros) 
in LaTeX documents.

.SH OPTIONS

The following options are interpreted by 
.BR syngen . 
If an option is unused, then the predefined value for a 10pt 
typewriter type font will be taken.

.TP
.B \-c
The length of connect lines on basic boxes.

.TP
.B \-o
The length of a character.

.TP
.B \-a 
Additional offset to the box length.

.TP
.B \-h
The height of the basic boxes.

.TP
.B \-f
Vertically stacked boxes are separated by
.eq 
box-height * box-sep-frac.
.en

.TP
.B \-version
Print a version info.

.SH SEE ALSO

.br
.I
The SYNGEN user's manual.

.SH AUTHOR

SYNGEN was written by Jens Kloecker, University of Wuerzburg, FRG.